Name:		fermilab-conf_apache-use-syslog
Version:	1.1
Release:	3
Summary:	Change the default httpd.conf to use clogger and local logging

Group:		Fermi
License:	GPL
URL:		http://fermilinux.fnal.gov
Source0:	%{name}.sh
Source1:	001-apache.conf
BuildArch:	noarch
Obsoletes:	zz_apache_use_clogger

Requires(post):	augeas
Requires(post):	coreutils
Requires(post):	systemd
Requires(post):	rsyslog

Requires(preun):	augeas
Requires(preun):	coreutils
Requires(preun):	systemd
Requires(preun):	rsyslog

Requires:	fermilab-conf_system-logger

%description
This package will reconfigure the default /etc/httpd/conf/httpd.conf
to use clogger in addition to the traditional /var/log/httpd/ logging.

We will enable syslog via adding:

ErrorLog "| /usr/bin/logger  -thttpd -plocal6.err"
CustomLog "| /usr/bin/logger  -thttpd -plocal6.notice" combined

This package requires rsyslog configured for Fermilab's central
logging service.

Per: RITM0193644

%prep

%build

%install
rm -rf %{buildroot}
%{__install} -D %{SOURCE0} %{buildroot}/%{_libexecdir}/%{name}/%{name}.sh
%{__install} -D %{SOURCE1} %{buildroot}/%{_sysconfdir}/rsyslog.d/001-apache.conf

%check
bash -n %{buildroot}/%{_libexecdir}/%{name}/%{name}.sh

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,-)
%config /etc/rsyslog.d/*
%doc
%attr(0750,root,root) %{_libexecdir}/%{name}/%{name}.sh

%post
%{_libexecdir}/%{name}/%{name}.sh setup
systemctl condrestart rsyslog.service
systemctl condrestart httpd.service

%preun
%{_libexecdir}/%{name}/%{name}.sh remove
systemctl condrestart httpd.service
systemctl condrestart rsyslog.service

%changelog
* Wed Nov 11 2015 Pat Riehecky <riehecky@fnal.gov> 1.1-3
- Should just trigger on httpd, not require it

* Wed Nov 11 2015 Kevin M. Hill <kevinh@fnal.gov> 1.1-2
- switch back to using Augeas, just in case.

* Tue Nov 10 2015 Kevin M. Hill <kevinh@fnal.gov> 1.1-1
- Initial SL7 version.

* Wed Jan 30 2013 Pat Riehecky <riehecky@fnal.gov> 1.0-1
- Initial build
